Arlo

REST Auth API: CreditNoteLines

CreditNoteLine resources are a subresource of CreditNote, and represent individual credit items.

Each line has a description, quantity, amount, and references to account codes and any applicable tax.

This resource supports retrieval of individual lines and retrieving collections of lines for a credit note.

CreditNoteLine instance resource

Resource URI

/api/2012-02-01/auth/resources/creditnotes/{CreditNoteID}/lines/{CreditNoteLineID}/

General structure

<CreditNoteLine>
  <CreditNoteLineID>7192</CreditNoteLineID>
  <LineNumber>1</LineNumber>
  <Description>Facilitation - The Art of Collaborative Leadership (ART-014), 9-Oct-2015 8:00 AM, Hannah Lane</Description>
  <UnitAmount>450.00</UnitAmount>
  <Quantity>1.00</Quantity>
  <TaxAmount>45.00</TaxAmount>
  <LineAmount>495.00</LineAmount>
  <AccountCode>GL15/200</AccountCode>
  <TaxAccountCode>GST10</TaxAccountCode>
  <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/302/lines/7192/"/>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CreditNote" type="application/xml" title="CreditNote" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/302/"/>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TaxRate" type="application/xml" title="TaxRate" href="https://demo.arlo.co/api/2012-02-01/auth/resources/taxrates/9/"/>
</CreditNoteLine>

Resource properties

Property Description
CreditNoteLineID An integer value that uniquely identifies this resource within the platform.
LineNumber An integer value identifying the number of this line within the credit note.
Description A text description for the line item.
UnitAmount The base amount for the item, supporting up to 4 decimal places of precision. This amount may be tax inclusive or exclusive depending on the LineAmountsTaxInclusive setting on the parent credit note.
Quantity The quantity multiplier for the line.
TaxAmount The amount of tax for the line, rounded to 2 decimal places of precision. Omitted if the line has no associated tax.
LineAmount The total for the line, inclusive of any discount amount, rounded to 2 decimal places of precision. This amount may be tax inclusive or exclusive depending on the LineAmountsTaxInclusive setting on the parent credit note.
AccountCode The revenue or income account code for the line.
TaxAccountCode The tax account code for the line. Omitted if the line has no associated tax.

HTTP GET

Returns a representation of a CreditNoteLine, including the properties and links above.

Optional parameters
Parameter Description
expand Expression referencing Link elements to expand when generating the response. See link expansion.
Example 1

GET /api/2012-02-01/auth/resources/creditnotes/11079/lines/7192/

<CreditNoteLine>
  <CreditNoteLineID>7192</CreditNoteLineID>
  <LineNumber>1</LineNumber>
  <Description>Facilitation - The Art of Collaborative Leadership (ART-014), 9-Oct-2015 8:00 AM, Hannah Lane</Description>
  <UnitAmount>450.00</UnitAmount>
  <Quantity>1.00</Quantity>
  <TaxAmount>45.00</TaxAmount>
  <LineAmount>495.00</LineAmount>
  <AccountCode>GL15/200</AccountCode>
  <TaxAccountCode>GST10</TaxAccountCode>
  <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/302/lines/7192/"/>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TaxRate" type="application/xml" title="TaxRate" href="https://demo.arlo.co/api/2012-02-01/auth/resources/taxrates/9/"/>
</CreditNoteLine>
Example 2

Retrieve a CreditNoteLine with link expansion for TaxRate.

GET /api/2012-02-01/auth/resources/creditnotes/11079/lines/7192/?expand=TaxRate

<CreditNoteLine>
  <CreditNoteLineID>7192</CreditNoteLineID>
  <LineNumber>1</LineNumber>
  <Description>Facilitation - The Art of Collaborative Leadership (ART-014), 9-Oct-2015 8:00 AM, Hannah Lane</Description>
  <UnitAmount>450.00</UnitAmount>
  <Quantity>1.00</Quantity>
  <TaxAmount>45.00</TaxAmount>
  <LineAmount>495.00</LineAmount>
  <AccountCode>GL15/200</AccountCode>
  <TaxAccountCode>GST10</TaxAccountCode>
  <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/302/lines/7192/"/>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CreditNote" type="application/xml" title="CreditNote" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/302/"/>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TaxRate" type="application/xml" title="TaxRate" href="https://demo.arlo.co/api/2012-02-01/auth/resources/taxrates/9/">
    <TaxRate>
      <TaxRateID>9</TaxRateID>
      <Name>GST (10%)</Name>
      <RatePercent>10.00</RatePercent>
      <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/taxrates/9/"/>
    </TaxRate>
  </Link>
</CreditNoteLine>

HTTP POST

Not supported.

HTTP PUT

Not supported.

HTTP DELETE

Not supported.

CreditNoteLine collection resource

The CreditNoteLine collection resource represents the set of CreditNoteLine resources on a given CreditNote.

Supports HTTP GET to retrieve lines.

Resource URI

/api/2012-02-01/auth/resources/creditnotes/{CreditNoteID}/lines/

HTTP GET

Returns a representation of the collection as a set of Link elements which can be followed to access individual CreditNoteLine resources, or link expansion can be used via the expand query parameter to inline the entities with the HTTP GET response. See querying collections for general information on handling resource collections.

Optional parameters
Parameter Description
expand Expression referencing Link elements to expand when generating the response. See link expansion.
filter A filter expression to apply to the collection. See collection filters. The following properties (and link titles) may be used in filter expressions:
  • CreditNoteLineID
orderby A sort expression to apply to the collection. See collection sorting. The following properties may be used in sort expressions:
  • CreditNoteLineID
skip Returns a subset of records from the collection, starting at index N+1 specified by this parameter. The skip and top parameters are generally used for collection paging.
top Returns a subset of records from the collection, starting at index 0 or index skip, and returns the first N records. The skip and top parameters are generally used for collection paging.
Example 1

Retrieve a collection of CreditNoteLine links with the default parameters, and no link expansion.

GET /api/2012-02-01/auth/resources/creditnotes/266/lines

<CreditNoteLines>
    <Link rel="http://schemas.arlo.co/api/2012/02/auth/CreditNoteLine" type="application/xml" title="CreditNoteLine" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/266/lines/472/" />
    <Link rel="http://schemas.arlo.co/api/2012/02/auth/CreditNoteLine" type="application/xml" title="CreditNoteLine" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/266/lines/473/" />
    <Link rel="http://schemas.arlo.co/api/2012/02/auth/CreditNoteLine" type="application/xml" title="CreditNoteLine" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/266/lines/474/" />
    <Link rel="http://schemas.arlo.co/api/2012/02/auth/CreditNoteLine" type="application/xml" title="CreditNoteLine" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/266/lines/475/" />
    <Link rel="http://schemas.arlo.co/api/2012/02/auth/CreditNoteLine" type="application/xml" title="CreditNoteLine" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/266/lines/476/" />
    <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/266/lines/" />
</CreditNoteLines>
Example 2

Retrieve a collection of CreditNoteLine links with the default parameters, with CreditNoteLine and TaxRate link expansion.

GET /api/2012-02-01/auth/resources/creditnotes/261/lines?expand=CreditNoteLine,CreditNoteLine/TaxRate

<CreditNoteLines>
  <Link rel="http://schemas.arlo.co/api/2012/02/auth/CreditNoteLine" type="application/xml" title="CreditNoteLine" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/261/lines/428/">
    <CreditNoteLine>
      <CreditNoteLineID>428</CreditNoteLineID>
      <LineNumber>1</LineNumber>
      <Description>Test Course (TEST-001), 7-Jan-2027 8:00 AM, Test User</Description>
      <UnitAmount>50.00</UnitAmount>
      <Quantity>1.00</Quantity>
      <TaxAmount>5.00</TaxAmount>
      <LineAmount>55.00</LineAmount>
      <AccountCode>200</AccountCode>
      <TaxAccountCode>200</TaxAccountCode>
      <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/261/lines/428/"/>
      <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/CreditNote" type="application/xml" title="CreditNote" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/261/"/>
      <Link rel="http://schemas.arlo.co/api/2012/02/auth/related/TaxRate" type="application/xml" title="TaxRate" href="https://demo.arlo.co/api/2012-02-01/auth/resources/taxrates/3/">
        <TaxRate>
          <TaxRateID>3</TaxRateID>
          <Name>GST (10%)</Name>
          <RatePercent>10.00</RatePercent>
          <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/taxrates/3/"/>
        </TaxRate>
      </Link>
    </CreditNoteLine>
  </Link>
  <Link rel="self" type="application/xml" href="https://demo.arlo.co/api/2012-02-01/auth/resources/creditnotes/261/lines/?expand=CreditNoteLine,CreditNoteLine/TaxRate"/>
</CreditNoteLines>

HTTP POST

Not supported.

HTTP PUT

Not supported.

HTTP DELETE

Not supported.